<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>title</title>
    <link href="style.css" rel="stylesheet" type="text/css" />
</head>

<body style="background-color:lightcyan;">
    <font face='Palatino Linotype'>

        <header>
            <h1 class="headline">
                <font size="5" face='Palatino Linotype'>
                    >
                    <a>${userInfo.name}さん</a>
                </font>
            </h1>
            <a class="headline1" href="LogoutServlet">
                <p style="text-align: right">ログアウト
                </p>
            </a>
            <ul class="nav-list">

            </ul>
        </header>
        <center>
            <form action="UserListServlet" method="post">

                <h1 class="center">
                    <font size="9" face='Palatino Linotype'>
                        ユーザ一覧</font>
                </h1>

                <div class="right">
                    <a class="nav-link" href="UserRegistServlet">
                        <p style="text-align: right">新規登録</p>
                    </a>
                </div>
                <div class="form-group ">
                    <font face='Palatino Linotype'>
                        <label for="inputLogin_id" class="col-sm-2 col-form-label">ログインID</label>
                    </font>
                </div>
                <div class="col-sm-12">
                    <input type="text" class="form-control" id="inputLogin_id" name="loginId" size="30">
                </div>




                <div class="form-group ">
                    <font face='Palatino Linotype'>

                        <label for="inputLogin_id" class="col-sm-2 col-form-label">ユーザ名</label>
                    </font>
                </div>
                <div class="col-sm-10">
                    <input type="text" class="form-control" id="inputLogin_id" name="name" size="30">
                </div>




                <div class="form-group ">
                    <label for="inputLogin_id" class="col-sm-2 col-form-label">生年月日</label>
                </div>


                <div class="col-sm-12">
                    <div class="row">
                        <div class="col-sm-9 row">
                            <input type="date" class="form-control col-sm-4" placeholder="年/月/日" name="birthDate"> ～ <input type="date" class="form-control col-sm-4" placeholder="年/月/日" name="birthDate2">
                        </div>
                    </div>
                </div>
                <div>
                    <button type="submit" class="btn btn-primary" style="WIDTH: 80px; HEIGHT: 30px" background-color:#66CCFF;>
                        <font size="">検索</font>
                    </button>
                </div>

            </form>

            <table border="1">
                <tr>
                    <th>ログインID</th>
                    <th>ユーザ名</th>
                    <th>生年月日</th>
                    <th></th>
                </tr>
                <c:forEach var="user" items="${userList}">
                    <tr>
                        <c:if test="${user.id!=1}">
                            <td>${user.loginId}</td>
                            <td>${user.name}</td>
                            <td>${user.birthDate}</td>
                            <!-- TODO 未実装；ログインボタンの表示制御を行う -->
                            <td>
                                <c:if test="${userInfo.id==1}">

                                    <a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
                                    <a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
                                    <a class="btn btn-danger" href="UserDeleteServlet?id=${user.id}">削除</a>
                                </c:if>
                                <c:if test="${userInfo.id!=1}">
                                    <a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
                                    <c:if test="${userInfo.id==user.id}">
                                        <a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
                                    </c:if>
                                </c:if>
                            </td>
                        </c:if>
                    </tr>

                </c:forEach>

                <tr>
                    <td></td>
                    <td></td>
                </tr>
            </table>

        </center>
    </font>
</body>

</html>
